Skip to main content
GET
Retrieve custom metrics data points

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

customMetricKey
string
required

Key for the custom metric filter

tagOrId
string
required

The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected. Entity identifier - can be a tag or CID

Query Parameters

startDate
string<date-time>

Start date for the filter, inclusive (UTC, e.g. 2026-06-22T00:00:00). Default: 6 months ago

endDate
string<date-time>

End date for the filter, inclusive (UTC, e.g. 2026-06-22T00:00:00)

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

Successfully retrieved custom metrics data points

data
object[]
required

Data points

page
integer<int32>
required

Current page number, 0-indexed

total
integer<int32>
required

Total number of results

totalPages
integer<int32>
required

Total number of pages

Last modified on September 29, 2026